<?php
 // Include the class:

require_once("../include/constants.php");
require_once("../include/db.class.php"); 
     
 class appSubLocation
{
     
     //This functions returns a data set with all sub-locations for a given application
     function showAppSubLocations($appID, $pageNum=NULL, $limit=NULL)
     {
        
        // Open the database (construct the object):
        $db = new DB();
        
        if(!is_null($pageNum) && !is_null($limit))
        {
           $queryResult= $db->query("SELECT A.*, B.appName, B.appCode FROM 
                                    AppSubLocation A LEFT OUTER JOIN Application B ON A.appID=B.appID
                                    WHERE A.appID='$appID'
                                    LIMIT ".(($pageNum-1)*$limit).", $limit");  
        }
        else
        {
            $queryResult= $db->query("SELECT A.*, B.appName, B.appCode FROM 
                                       AppSubLocation A LEFT OUTER JOIN Application B ON A.appID=B.appID
                                       WHERE A.appID='$appID' ");
        }
        return $queryResult;
     
     }

     //This function returns a data row for the given application sub location
     function queryAppSubLocation($appSubID)
     {
     
        $db = new DB();
        $queryResult= $db->query("SELECT A.*, B.appName, B.appCode FROM 
                                    AppSubLocation A LEFT OUTER JOIN Application B ON A.appID=B.appID 
                                    WHERE A.appSubLocationID='$appSubID'");
        $result=$db->fetchNextObject($queryResult); 
        return $result;
     
     
     }
          //This function returns a data row for the given application
     function queryApp($appID)
     {
     
        $db = new DB();
        $queryResult= $db->query("SELECT A.*, C.organizationID,C.organizationName FROM 
                                    Application A LEFT OUTER JOIN AppOrganizationIntersection B ON A.appID=B.appID
                                    LEFT OUTER JOIN Organization C ON B.organizationID=C.organizationID  
                                    WHERE A.appID='$appID'");
        $result=$db->fetchNextObject($queryResult); 
        return $result;
     
     
     }
      //This function adds an appsublocation to the database
     function addAppSubLocation($appID,$appSubLocationDescription,$appSubLocationComment,$appSubLocationHttp)
     {
         $appID = mysql_real_escape_string($appID);
         $appSubLocationDescription = mysql_real_escape_string($appSubLocationDescription); 
         $appSubLocationComment = mysql_real_escape_string($appSubLocationComment); 
         $appSubLocationHttp = mysql_real_escape_string($appSubLocationHttp);
         
         $db = new DB();
           
         $sql="INSERT INTO AppSubLocation (appID,appSubLocationDescription,appSubLocationComment,appSubLocationHttp)
                VALUES ('$appID','$appSubLocationDescription','$appSubLocationComment','$appSubLocationHttp')";
          
         $queryResult= $db->execute($sql);
     
         return $queryResult;   

     }
     //This function updates appsublocation info in the database
     function updateAppSubLocation($appSubLocationID,$appSubLocationDescription,$appSubLocationComment,$appSubLocationHttp)
     {
            $sql=sprintf("UPDATE AppSubLocation SET appSubLocationDescription='%s',appSubLocationComment='%s',appSubLocationHttp='%s' WHERE appSubLocationID='$appSubLocationID'",
                get_magic_quotes_gpc() ? $appSubLocationDescription : addslashes($appSubLocationDescription),
                get_magic_quotes_gpc() ? $appSubLocationComment : addslashes($appSubLocationComment),
                get_magic_quotes_gpc() ? $appSubLocationHttp : addslashes($appSubLocationHttp));
                
            $db = new DB();
                
            $queryResult= $db->execute($sql);
             
            return $queryResult;
         
     }
     //------------------------------------------------------------------------------------------
       //This function deletes an appSubLocation from the database
     function deleteAppSubLocation($appSubLocationID)
     {
     
        $db = new DB();

          $queryResult=$db->execute("DELETE FROM AppSubLocation WHERE appSubLocationID='$appSubLocationID'");    
          
        return $queryResult;
     
     }

     //This function checks to see if an application with this ID exists in the system.
     //if an application with this ID exists, return true; else false;
     function isValidAppID($appID)
     {
         $db = new DB(); 
        if(!get_magic_quotes_gpc()){
            $appID = addslashes($appID);
        }
        $q = "SELECT * FROM Application WHERE appID='$appID'";
        $result = $db->query($q);
        return (mysql_numrows($result) > 0);
     }
     
   function displayPageNav($totalRows,$limit,$pageNum,$pageAddr)
    {

        if (($totalRows%$limit)<>0) {
            $pmax=floor($totalRows/$limit)+1;  // Divide to total result by the number of query you want
        // to display per page($limit) and create a Max page
        } else {
            $pmax=floor($totalRows/$limit);
        }
        if($pmax==1)  //if there is only 1 page, no need to display page number
            return;
            
        echo "<div class='navpage'>"; 

        // We need to create a Previous page, so we need $pageNum to be bigger than 1, otherwise at the first page we would get a 0.
        //For the previous to show up we need at least to be at the second page.
        if($pageNum > 1) {
            $prevp="<a href='".$pageAddr."?pageNum=".($pageNum-1)."' title='Previous Page'>Previous Page</a>&nbsp;&nbsp;"; 
            echo $prevp;
        } else {echo "";}   

        // Here We want create a page from the results we got by dividing the total by the the limit. So let say you got
        //45 results and you want 5 results per page; these simple lines will create you 8 pages.
        $pid=1;
        while ($pid<=$pmax) {
            $paging= "<a href='".$pageAddr."?pageNum=$pid' title='Page $pid of $pmax'>$pid</a>&nbsp;&nbsp;";
        //So here, let say we are at the 3rd page and we want the 3 to be blank so the user can know where is he now.
        //This will act as Current Page! We need to replace the url by a text
            if($pid==$pageNum)
                echo "<span>$pageNum</span>&nbsp;&nbsp;";
            else 
                echo $paging; 
            $pid++;  // create pages until reach the result
        } 
        //We want to create a next page and a last page, $pageNum have to be less than $pmax.
        if($pageNum < $pmax) {
            $nextp="<a href='".$pageAddr."?pageNum=".($pageNum+1)."' title='Next Page'>Next Page</a>&nbsp;&nbsp;"; 
            echo $nextp;
        } else {echo "";}
        if($pageNum != $pmax) {      
            echo  "<a href='".$pageAddr."?pageNum=$pmax' title='Last Page'>Last Page</a>"; }
        
        echo "</div>";
    }
}
?>
